/*
****************************************************************************

      GamePort Device ToolKit Subroutines.
      Pragmas.

      GamePortPragmas.h.
      Version 1.1.

      Paris E. Bingham Jr.
      Copyright  1986 - 1990  All Rights Reserved.


      History:

    Version      Date      Comments
    -------    --------    -----------------------------------------------
      1.0      10/01/89    PEB - Created.
      1.1      08/12/90    PEB - Add support for Manx C V5.0.
               09/18/90    PEB - Add support for SAS C V5.10.
               12/19/90    PEB - Added hardware interface routines.

****************************************************************************
*/

#ifndef  DT_PROTO_GAMEPORTPRAGMAS_H
#define  DT_PROTO_GAMEPORTPRAGMAS_H

#ifndef  NO_PRAGMAS
#ifdef   SAS
#include "DeviceToolKits/GamePortBase.h"
extern   struct   DTGamePortBase *DTGamePortBase;

#pragma libcall DTGamePortBase DTGamePortCreate 1e 8002
#pragma libcall DTGamePortBase DTGamePortCreateLike 24 9802
#pragma libcall DTGamePortBase DTGamePortDestroy 2a 801
#pragma libcall DTGamePortBase DTGamePortClear 30 801
#pragma libcall DTGamePortBase DTGamePortRead 36 a09804
#pragma libcall DTGamePortBase DTGamePortQueueRead 3c 9803
#pragma libcall DTGamePortBase DTGamePortCheckRead 42 9802
#pragma libcall DTGamePortBase DTGamePortGetType 48 9802
#pragma libcall DTGamePortBase DTGamePortSetType 4e 9802
#pragma libcall DTGamePortBase DTGamePortGetTrigger 54 9802
#pragma libcall DTGamePortBase DTGamePortSetTrigger 5a 9802
#pragma libcall DTGamePortBase DTGamePortJoy0Dat 60 0
#pragma libcall DTGamePortBase DTGamePortJoy1Dat 66 0
#pragma libcall DTGamePortBase DTGamePortJoyTest 6c 001
#pragma libcall DTGamePortBase DTGamePortLButton0 72 0
#pragma libcall DTGamePortBase DTGamePortLButton1 78 0
#pragma libcall DTGamePortBase DTGamePortRButton0 7e 0
#pragma libcall DTGamePortBase DTGamePortRButton1 84 0
#pragma libcall DTGamePortBase DTGamePortMButton0 8a 0
#pragma libcall DTGamePortBase DTGamePortMButton1 90 0
#pragma libcall DTGamePortBase DTGamePortDJoy 96 001
#endif

#ifdef   MANXV5
#pragma amicall (DTGamePortBase,0x1e,DTGamePortCreate(D0,A0))
#pragma amicall (DTGamePortBase,0x24,DTGamePortCreateLike(A0,A1))
#pragma amicall (DTGamePortBase,0x2a,DTGamePortDestroy(A0))
#pragma amicall (DTGamePortBase,0x30,DTGamePortClear(A0))
#pragma amicall (DTGamePortBase,0x36,DTGamePortRead(A0,A1,D0,A2))
#pragma amicall (DTGamePortBase,0x3c,DTGamePortQueueRead(A0,A1,D0))
#pragma amicall (DTGamePortBase,0x42,DTGamePortCheckRead(A0,A1))
#pragma amicall (DTGamePortBase,0x48,DTGamePortGetType(A0,A1))
#pragma amicall (DTGamePortBase,0x4e,DTGamePortSetType(A0,A1))
#pragma amicall (DTGamePortBase,0x54,DTGamePortGetTrigger(A0,A1))
#pragma amicall (DTGamePortBase,0x5a,DTGamePortSetTrigger(A0,A1))
#pragma amicall (DTGamePortBase,0x60,DTGamePortJoy0Dat())
#pragma amicall (DTGamePortBase,0x66,DTGamePortJoy1Dat())
#pragma amicall (DTGamePortBase,0x6c,DTGamePortJoyTest(D0))
#pragma amicall (DTGamePortBase,0x72,DTGamePortLButton0())
#pragma amicall (DTGamePortBase,0x78,DTGamePortLButton1())
#pragma amicall (DTGamePortBase,0x7e,DTGamePortRButton0())
#pragma amicall (DTGamePortBase,0x84,DTGamePortRButton1())
#pragma amicall (DTGamePortBase,0x8a,DTGamePortMButton0())
#pragma amicall (DTGamePortBase,0x90,DTGamePortMButton1())
#pragma amicall (DTGamePortBase,0x96,DTGamePortDJoy(D0))
#endif
#endif

/*
****************************************************************************
      End of GamePortPragmas.h
****************************************************************************
*/

#endif

